Subject: Re: pkg/32331: pkgtools/libnbcompat broken on netbsd-2
To: None <,,,>
From: Hauke Fath <hauke@Espresso.Rhein-Neckar.DE>
List: pkgsrc-bugs
Date: 12/23/2005 00:10:03
The following reply was made to PR pkg/32331; it has been noted by GNATS.

From: Hauke Fath <hauke@Espresso.Rhein-Neckar.DE>
	Hauke Fath <hauke@Espresso.Rhein-Neckar.DE>
Subject: Re: pkg/32331: pkgtools/libnbcompat broken on netbsd-2
Date: Fri, 23 Dec 2005 00:50:26 +0100

 At 10:35 Uhr +0000 22.12.2005, grant beattie wrote:
 > > Building pkgtools/libnbcompat breaks on netbsd-2 (mac68k). I am marking
 > > this critical/high because it breaks pkg_install which breaks avery
 > > other build.
 > this is a local system problem, the netbsd-2 does not have statvfs.h,
 > so it should not be there.
 Right on target. Among a few other relicts in /usr/include{,/sys} there was
 a /usr/src/sys/statvfs.h v1.5 with an older (June'ish) timestamp.
 After removing those files, libnbcompat and pkg_install build fine.
 > is this a system which was downgraded from netbsd-3 or -current to
 > netbsd-2?
 Looks like it, although I cannot recall when and why. OTOH, the box saw a
 lot of updates and experiments for tracking down kernel bugs this year.
 Sorry for the excitement, and please close the PR.
 "It's never straight up and down"     (DEVO)